> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create bulk create



## OpenAPI

````yaml /openapi/shop.json post /v1/shop/sales/{sale_id}/inventories/bulk_create/
openapi: 3.0.3
info:
  title: Yume API — Магазин
  version: 1.0.0
  description: Витрина и публичные эндпоинты магазина.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/shop/sales/{sale_id}/inventories/bulk_create/:
    post:
      tags:
        - sales
      summary: Create bulk create
      operationId: sales_inventories_bulk_create_create
      parameters:
        - in: path
          name: sale_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderSaleInventoryBulkCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OrderSaleInventoryBulkCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/OrderSaleInventoryBulkCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderSaleInventoryBulkCreate'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    OrderSaleInventoryBulkCreate:
      type: object
      properties:
        inventories:
          type: array
          items:
            $ref: '#/components/schemas/OrderSaleInventoryCreate'
      required:
        - inventories
    OrderSaleInventoryCreate:
      type: object
      properties:
        inventory:
          type: integer
          writeOnly: true
          nullable: true
        inventory_group:
          type: integer
          writeOnly: true
        inventory_group_count:
          type: integer
          writeOnly: true
        warehouse:
          type: integer
          writeOnly: true
        counterparty:
          type: integer
          writeOnly: true
        tarif:
          type: integer
          writeOnly: true
          nullable: true
        discount:
          type: integer
          writeOnly: true
          nullable: true
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          writeOnly: true
        extra:
          writeOnly: true
      required:
        - inventory_group
        - inventory_group_count
        - warehouse
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````